using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.LR;
using APT.MS.Domain.Entities.SC.SC;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查依据")]
    public class T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_BASIC : MesEntityBase
    {
        /// <summary>
        /// 隐患通知明细表
        /// </summary>
        [Description("隐患通知明细表")]
        [DataFieldForeignKey("Nav_RectifyDetail", "Nav_RectifyDetailBasics")]
        public Guid HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：隐患通知明细表
        /// </summary>
        [Description("导航：隐患通知明细表")]
        public virtual T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL Nav_RectifyDetail { get; set; }

        /// <summary>
        /// 法律法规库
        /// </summary>
        [Description("法律法规库")]
        [DataFieldForeignKey("Nav_Law")]
        public Guid? LAW_ID { get; set; }

        /// <summary>
        /// 导航属性：法律法规库
        /// </summary>
        [Description("导航属性：法律法规库")]
        public T_LR_LAW Nav_Law { get; set; }
    }
}
